/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
// #include <signal.h>
#include <stdlib.h>

#define uchar unsigned char
#define uint unsigned int

#define	xRC5_IN		PIND // PIND
#if 1
// Attiny2313 auf Pollin Funk AVR Board
// und User entenhausen @ mikrocontroller.net
// Stefan 9.2.09
#define	xRC5		  PD2			// IR input low active
#else
// Original
#define	xRC5		  PD7			// IR input low active
#endif

//#define	XTAL		11.0592e6
//#define	XTAL      8e6       // Attiny2313 auf Pollin Funk AVR Board
//#define	XTAL		7.3728e6
//#define XTAL		5e6
#define	XTAL    4e6       // Anpassung fuer User entenhausen @ mikrocontroller.net

#define	BAUD	9600 // 19200 // Original
#define bauddivider (uint)(XTAL / BAUD / 16 - 0.5)

extern uint	rc5_data;				// store result
